| TagLib 1.13 |  |

Classes | Typedefs | Functions
TagLib::ID3v1 Namespace Reference

An ID3v1 implementation. More...

## Classes
class | StringHandler
| A abstraction for the string to data encoding in ID3v1 tags. More...
class | Tag
| The main class in the ID3v1 implementation. More...

## Typedefs
typedef Map< String, int > | GenreMap

## Functions
StringList TAGLIB_EXPORT | genreList ()
GenreMap TAGLIB_EXPORT | genreMap ()
String TAGLIB_EXPORT | genre (int index)
int TAGLIB_EXPORT | genreIndex (const String &name)

## Detailed Description

An ID3v1 implementation.

## Typedef Documentation

## ◆ GenreMap

typedef Map<String, int> TagLib::ID3v1::GenreMap

## Function Documentation

## ◆ genre()

String TAGLIB_EXPORT TagLib::ID3v1::genre | ( | int | index | ) |

Returns the name of the genre at index in the ID3v1 genre list. If index is out of range – less than zero or greater than 191 – a null string will be returned.

## ◆ genreIndex()

int TAGLIB_EXPORT TagLib::ID3v1::genreIndex | ( | const String & | name | ) |

Returns the genre index for the (case sensitive) genre name. If the genre is not in the list 255 (which signifies an unknown genre in ID3v1) will be returned.

## ◆ genreList()

StringList TAGLIB_EXPORT TagLib::ID3v1::genreList | ( |  | ) |

Returns the list of canonical ID3v1 genre names in the order that they are listed in the standard.

## ◆ genreMap()

GenreMap TAGLIB_EXPORT TagLib::ID3v1::genreMap | ( |  | ) |

A "reverse mapping" that goes from the canonical ID3v1 genre name to the respective genre number. genreMap()["Rock"] ==